---
title: distinctiveIdentifier
slug: Web/API/MediaKeySystemConfiguration/distinctiveIdentifier
tags:
  - API
  - EncryptedMediaExtensions
  - Media
  - MediaKeySystemConfiguration
  - NeedsExample
  - Property
  - Reference
  - Video
  - distinctiveIdentifier
---
<div>{{APIRef("EncryptedMediaExtensions")}}{{SeeCompatTable}}</div>

<p>The <code>MediaKeySystemConfiguration.distinctiveIdentifier</code> read-only property indicates whether a persistent distinctive identifier is required.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>distinctiveIdentifier</var> = <var>mediaSystemConfiguration</var>.distinctiveIdentifier;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('EME', '#dom-mediakeysystemconfiguration-distinctiveidentifier', 'distinctiveIdentifier')}}</td>
   <td>{{Spec2('EME')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.MediaKeySystemConfiguration.distinctiveIdentifier")}}</p>
</div>
